OpenShot Audio Library | OpenShotAudio: juce::FileInputSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::FileInputSource Class Reference

`#include <juce_FileInputSource.h>`

Inheritance diagram for juce::FileInputSource:

## Public Member Functions
| FileInputSource (const File &file, bool useFileTimeInHashGeneration=false)
| ~FileInputSource () override
InputStream * | createInputStream () override
InputStream * | createInputStreamFor (const String &relatedItemPath) override
int64 | hashCode () const override
Public Member Functions inherited from juce::InputSource
virtual | ~InputSource ()=default
virtual InputStream * | createInputStream ()=0
virtual InputStream * | createInputStreamFor (const String &relatedItemPath)=0
virtual int64 | hashCode () const =0

## Detailed Description

A type of InputSource that represents a normal file.

See also
  InputSource

Definition at line 34 of file juce_FileInputSource.h.

## Constructor & Destructor Documentation

## ◆ FileInputSource()

juce::FileInputSource::FileInputSource | ( | const File & | file,
|  | bool | useFileTimeInHashGeneration = `false`
| ) |  |

Creates a FileInputSource for a file. If the useFileTimeInHashGeneration parameter is true, then this object's hashCode() method will incorporate the file time into its hash code; if false, only the file name will be used for the hash.

Definition at line 26 of file juce_FileInputSource.cpp.

## ◆ ~FileInputSource()

juce::FileInputSource::~FileInputSource | ( |  | ) |
| override

Destructor.

Definition at line 31 of file juce_FileInputSource.cpp.

## Member Function Documentation

## ◆ createInputStream()

InputStream * juce::FileInputSource::createInputStream | ( |  | ) |
| overridevirtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the filename isn't found.

Implements juce::InputSource.

Definition at line 35 of file juce_FileInputSource.cpp.

## ◆ createInputStreamFor()

InputStream * juce::FileInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |
| overridevirtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implements juce::InputSource.

Definition at line 40 of file juce_FileInputSource.cpp.

## ◆ hashCode()

int64 juce::FileInputSource::hashCode | ( |  | ) | const
| overridevirtual

Returns a hash code that uniquely represents this item.

Implements juce::InputSource.

Definition at line 45 of file juce_FileInputSource.cpp.

The documentation for this class was generated from the following files:

- juce_FileInputSource.h
- juce_FileInputSource.cpp